Application: gvSIG desktop - gvSIG bugs #596
Some bugs and performance problems with the GraphicLayer and the MapContextDrawer
05/08/2012 09:00 PM - Cesar Ordinana

Status: Closed % Done: 100%
Assignee: Cesar Ordifiana

Category: Application

Target version: 2.0.0-alpha5

Severity: Add-on version:

gvSIG version: 2.0.0 Add-on build:
Operative System: Add-on resolve build:
Keywords: Proyecto:

Has patch: No Hito:

Add-on name: Unknown

Description

I'm developing a demo which creates many random points and draws it in the GraphicLayer, repeating it every some time, and I'm
having some performance problems and bugs with how the GraphicLayer and the MapContextDrawer work.

I'm going to solve them and attach to this issue.

Associated revisions

Revision 38201 - 05/08/2012 03:02 PM - Cesar Ordifiana

Remove uneeded System.gc(), which makes a small unneeded pause on each GraphicLayer write.
Refs #596.

Revision 38202 - 05/08/2012 03:04 PM - Cesar Ordifiana

Change list of deleted features collection used for better performance while iterating through a FeatureStore while editing. This makes faster also to
write and remove Geometries from the GraphicLayer.
Refs #596.

Revision 38203 - 05/08/2012 03:06 PM - Cesar Ordifana

This is a 1.4 compatible project.
Refs #596.

Revision 38204 - 05/08/2012 03:07 PM - Cesar Ordifiana

Implement toString for easier debugging and logging.
Refs #596.

Revision 38205 - 05/08/2012 03:21 PM - Cesar Ordifiana

Capture exceptions thrown while the index is indexing and changes are performed in the store, and stop indexing.
Refs #596.

Revision 38206 - 05/08/2012 03:24 PM - Cesar Ordifiana

Feature creation optimization and reimplement the getFullEnvelope() method, not creating a new dummy one if the layer is empty as implemented in

the FlyrDefault.

Refs #596.

Revision 38207 - 05/09/2012 12:08 PM - Cesar Ordifiana

If while drawing a ConcurrentModificationException is thrown, retry for 3 times.

Refs #596.

Revision 38208 - 05/09/2012 12:14 PM - Cesar Ordifiana

Remove default creation of spatial index if not already created when entering edition mode.

Refs #596.

Revision 38209 - 05/09/2012 12:16 PM - Cesar Ordifana

Remove setting attributes when setting the FeatureType. Causes uneeded creation of a sub FeatureType.

Refs #596.

Revision 38210 - 05/09/2012 12:18 PM - Cesar Ordifiana

Change drawing cache and drawing version management so all changes affect the mapcontext version. Also the GraphicLayer is included into the

MapContextDrawer so it is included in the drawing cache management logic.

Fixes #596.

Revision 38221 - 05/15/2012 03:42 AM - Cesar Ordifhana

Capture more exceptions related to the concurrent modification of a store.

Refs #596.

Revision 38222 - 05/15/2012 03:42 AM - Cesar Ordifiana

Capture more exceptions related to the concurrent modification of a store.

Refs #596.

History

#1 - 05/09/2012 06:18 PM - Cesar Ordifiana
- Status changed from In progress to Fixed
- % Done changed from 0 to 100
Applied in changeset r38210.

#2 - 06/28/2012 10:28 AM - Maria Maluenda
- Status changed from Fixed to Awaiting response

- Target version changed from 2.0.0-alpha5 to 2.0.0-devel-2050

#3 - 06/28/2012 10:31 AM - Joaquin del Cerro Murciano
- Status changed from Awaiting response to Fixed

- Target version changed from 2.0.0-devel-2050 to 2.0.0-alpha6

#4 - 06/28/2012 10:35 AM - Joaquin del Cerro Murciano
- Target version changed from 2.0.0-alpha6 to 2.0.0-alpha5

#5 - 06/28/2012 10:36 AM - Maria Maluenda

- Target version deleted (2.0.0-alpha5)

Need instructions in order to check the bugfix

#6 - 06/28/2012 10:38 AM - Joaquin del Cerro Murciano

- Target version set to 2.0.0-alphab5

#7 - 06/28/2012 10:39 AM - Maria Maluenda

Comentario de prueba 1

#8 - 06/28/2012 10:40 AM - Maria Maluenda
- Status changed from Fixed to Awaiting response

Comentario de prueba 2

#9 - 06/28/2012 10:43 AM - Joaquin del Cerro Murciano

- Status changed from Awaiting response to Fixed

#10 - 06/28/2012 10:44 AM - Maria Maluenda
- Status changed from Fixed to Awaiting response

#11 - 06/28/2012 10:46 AM - Joaquin del Cerro Murciano
- Status changed from Awaiting response to Fixed

#12 - 06/28/2012 10:50 AM - Maria Maluenda
- Status changed from Fixed to Awaiting response

#13 - 06/28/2012 10:55 AM - Maria Maluenda

Need instructions in order to check the bugfix
#14 - 07/02/2012 03:32 PM - Joaquin del Cerro Murciano

- Status changed from Awaiting response to Under review
#15 - 07/04/2012 04:52 PM - Cesar Ordiiana

Sorry, currently there is not any gvSIG funcionality at user level for you to be able to validate the correction.

#16 - 08/29/2012 01:52 PM - Joaquin del Cerro Murciano
- Status changed from Under review to Closed
